1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --enable-debugging      support debugging in binaries"
16ac_help="$ac_help
17  --with-x                use the X Window System"
18
19# Initialize some variables set by options.
20# The variables have the same names as the options, with
21# dashes changed to underlines.
22build=NONE
23cache_file=./config.cache
24exec_prefix=NONE
25host=NONE
26no_create=
27nonopt=NONE
28no_recursion=
29prefix=NONE
30program_prefix=NONE
31program_suffix=NONE
32program_transform_name=s,x,x,
33silent=
34site=
35srcdir=
36target=NONE
37verbose=
38x_includes=NONE
39x_libraries=NONE
40bindir='${exec_prefix}/bin'
41sbindir='${exec_prefix}/sbin'
42libexecdir='${exec_prefix}/libexec'
43datadir='${prefix}/share'
44sysconfdir='${prefix}/etc'
45sharedstatedir='${prefix}/com'
46localstatedir='${prefix}/var'
47libdir='${exec_prefix}/lib'
48includedir='${prefix}/include'
49oldincludedir='/usr/include'
50infodir='${prefix}/info'
51mandir='${prefix}/man'
52
53# Initialize some other variables.
54subdirs=
55MFLAGS= MAKEFLAGS=
56SHELL=${CONFIG_SHELL-/bin/sh}
57# Maximum number of lines to put in a shell here document.
58ac_max_here_lines=12
59
60ac_prev=
61for ac_option
62do
63
64  # If the previous option needs an argument, assign it.
65  if test -n "$ac_prev"; then
66    eval "$ac_prev=\$ac_option"
67    ac_prev=
68    continue
69  fi
70
71  case "$ac_option" in
72  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
73  *) ac_optarg= ;;
74  esac
75
76  # Accept the important Cygnus configure options, so we can diagnose typos.
77
78  case "$ac_option" in
79
80  -bindir | --bindir | --bindi | --bind | --bin | --bi)
81    ac_prev=bindir ;;
82  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
83    bindir="$ac_optarg" ;;
84
85  -build | --build | --buil | --bui | --bu)
86    ac_prev=build ;;
87  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
88    build="$ac_optarg" ;;
89
90  -cache-file | --cache-file | --cache-fil | --cache-fi \
91  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
92    ac_prev=cache_file ;;
93  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
94  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
95    cache_file="$ac_optarg" ;;
96
97  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
98    ac_prev=datadir ;;
99  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
100  | --da=*)
101    datadir="$ac_optarg" ;;
102
103  -disable-* | --disable-*)
104    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
105    # Reject names that are not valid shell variable names.
106    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
107      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
108    fi
109    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
110    eval "enable_${ac_feature}=no" ;;
111
112  -enable-* | --enable-*)
113    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
114    # Reject names that are not valid shell variable names.
115    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
116      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
117    fi
118    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
119    case "$ac_option" in
120      *=*) ;;
121      *) ac_optarg=yes ;;
122    esac
123    eval "enable_${ac_feature}='$ac_optarg'" ;;
124
125  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
126  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
127  | --exec | --exe | --ex)
128    ac_prev=exec_prefix ;;
129  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
130  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
131  | --exec=* | --exe=* | --ex=*)
132    exec_prefix="$ac_optarg" ;;
133
134  -gas | --gas | --ga | --g)
135    # Obsolete; use --with-gas.
136    with_gas=yes ;;
137
138  -help | --help | --hel | --he)
139    # Omit some internal or obsolete options to make the list less imposing.
140    # This message is too long to be a string in the A/UX 3.1 sh.
141    cat << EOF
142Usage: configure [options] [host]
143Options: [defaults in brackets after descriptions]
144Configuration:
145  --cache-file=FILE       cache test results in FILE
146  --help                  print this message
147  --no-create             do not create output files
148  --quiet, --silent       do not print \`checking...' messages
149  --version               print the version of autoconf that created configure
150Directory and file names:
151  --prefix=PREFIX         install architecture-independent files in PREFIX
152                          [$ac_default_prefix]
153  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
154                          [same as prefix]
155  --bindir=DIR            user executables in DIR [EPREFIX/bin]
156  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
157  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
158  --datadir=DIR           read-only architecture-independent data in DIR
159                          [PREFIX/share]
160  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
161  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
162                          [PREFIX/com]
163  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
164  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
165  --includedir=DIR        C header files in DIR [PREFIX/include]
166  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
167  --infodir=DIR           info documentation in DIR [PREFIX/info]
168  --mandir=DIR            man documentation in DIR [PREFIX/man]
169  --srcdir=DIR            find the sources in DIR [configure dir or ..]
170  --program-prefix=PREFIX prepend PREFIX to installed program names
171  --program-suffix=SUFFIX append SUFFIX to installed program names
172  --program-transform-name=PROGRAM
173                          run sed PROGRAM on installed program names
174EOF
175    cat << EOF
176Host type:
177  --build=BUILD           configure for building on BUILD [BUILD=HOST]
178  --host=HOST             configure for HOST [guessed]
179  --target=TARGET         configure for TARGET [TARGET=HOST]
180Features and packages:
181  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
182  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
183  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
184  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
185  --x-includes=DIR        X include files are in DIR
186  --x-libraries=DIR       X library files are in DIR
187EOF
188    if test -n "$ac_help"; then
189      echo "--enable and --with options recognized:$ac_help"
190    fi
191    exit 0 ;;
192
193  -host | --host | --hos | --ho)
194    ac_prev=host ;;
195  -host=* | --host=* | --hos=* | --ho=*)
196    host="$ac_optarg" ;;
197
198  -includedir | --includedir | --includedi | --included | --include \
199  | --includ | --inclu | --incl | --inc)
200    ac_prev=includedir ;;
201  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
202  | --includ=* | --inclu=* | --incl=* | --inc=*)
203    includedir="$ac_optarg" ;;
204
205  -infodir | --infodir | --infodi | --infod | --info | --inf)
206    ac_prev=infodir ;;
207  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
208    infodir="$ac_optarg" ;;
209
210  -libdir | --libdir | --libdi | --libd)
211    ac_prev=libdir ;;
212  -libdir=* | --libdir=* | --libdi=* | --libd=*)
213    libdir="$ac_optarg" ;;
214
215  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
216  | --libexe | --libex | --libe)
217    ac_prev=libexecdir ;;
218  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
219  | --libexe=* | --libex=* | --libe=*)
220    libexecdir="$ac_optarg" ;;
221
222  -localstatedir | --localstatedir | --localstatedi | --localstated \
223  | --localstate | --localstat | --localsta | --localst \
224  | --locals | --local | --loca | --loc | --lo)
225    ac_prev=localstatedir ;;
226  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
227  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
228  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
229    localstatedir="$ac_optarg" ;;
230
231  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
232    ac_prev=mandir ;;
233  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
234    mandir="$ac_optarg" ;;
235
236  -nfp | --nfp | --nf)
237    # Obsolete; use --without-fp.
238    with_fp=no ;;
239
240  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
241  | --no-cr | --no-c)
242    no_create=yes ;;
243
244  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
245  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
246    no_recursion=yes ;;
247
248  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
249  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
250  | --oldin | --oldi | --old | --ol | --o)
251    ac_prev=oldincludedir ;;
252  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
253  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
254  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
255    oldincludedir="$ac_optarg" ;;
256
257  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
258    ac_prev=prefix ;;
259  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
260    prefix="$ac_optarg" ;;
261
262  -program-prefix | --program-prefix | --program-prefi | --program-pref \
263  | --program-pre | --program-pr | --program-p)
264    ac_prev=program_prefix ;;
265  -program-prefix=* | --program-prefix=* | --program-prefi=* \
266  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
267    program_prefix="$ac_optarg" ;;
268
269  -program-suffix | --program-suffix | --program-suffi | --program-suff \
270  | --program-suf | --program-su | --program-s)
271    ac_prev=program_suffix ;;
272  -program-suffix=* | --program-suffix=* | --program-suffi=* \
273  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
274    program_suffix="$ac_optarg" ;;
275
276  -program-transform-name | --program-transform-name \
277  | --program-transform-nam | --program-transform-na \
278  | --program-transform-n | --program-transform- \
279  | --program-transform | --program-transfor \
280  | --program-transfo | --program-transf \
281  | --program-trans | --program-tran \
282  | --progr-tra | --program-tr | --program-t)
283    ac_prev=program_transform_name ;;
284  -program-transform-name=* | --program-transform-name=* \
285  | --program-transform-nam=* | --program-transform-na=* \
286  | --program-transform-n=* | --program-transform-=* \
287  | --program-transform=* | --program-transfor=* \
288  | --program-transfo=* | --program-transf=* \
289  | --program-trans=* | --program-tran=* \
290  | --progr-tra=* | --program-tr=* | --program-t=*)
291    program_transform_name="$ac_optarg" ;;
292
293  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
294  | -silent | --silent | --silen | --sile | --sil)
295    silent=yes ;;
296
297  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
298    ac_prev=sbindir ;;
299  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
300  | --sbi=* | --sb=*)
301    sbindir="$ac_optarg" ;;
302
303  -sharedstatedir | --sharedstatedir | --sharedstatedi \
304  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
305  | --sharedst | --shareds | --shared | --share | --shar \
306  | --sha | --sh)
307    ac_prev=sharedstatedir ;;
308  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
309  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
310  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
311  | --sha=* | --sh=*)
312    sharedstatedir="$ac_optarg" ;;
313
314  -site | --site | --sit)
315    ac_prev=site ;;
316  -site=* | --site=* | --sit=*)
317    site="$ac_optarg" ;;
318
319  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
320    ac_prev=srcdir ;;
321  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
322    srcdir="$ac_optarg" ;;
323
324  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
325  | --syscon | --sysco | --sysc | --sys | --sy)
326    ac_prev=sysconfdir ;;
327  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
328  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
329    sysconfdir="$ac_optarg" ;;
330
331  -target | --target | --targe | --targ | --tar | --ta | --t)
332    ac_prev=target ;;
333  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
334    target="$ac_optarg" ;;
335
336  -v | -verbose | --verbose | --verbos | --verbo | --verb)
337    verbose=yes ;;
338
339  -version | --version | --versio | --versi | --vers)
340    echo "configure generated by autoconf version 2.13"
341    exit 0 ;;
342
343  -with-* | --with-*)
344    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
345    # Reject names that are not valid shell variable names.
346    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
347      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
348    fi
349    ac_package=`echo $ac_package| sed 's/-/_/g'`
350    case "$ac_option" in
351      *=*) ;;
352      *) ac_optarg=yes ;;
353    esac
354    eval "with_${ac_package}='$ac_optarg'" ;;
355
356  -without-* | --without-*)
357    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
358    # Reject names that are not valid shell variable names.
359    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
360      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
361    fi
362    ac_package=`echo $ac_package| sed 's/-/_/g'`
363    eval "with_${ac_package}=no" ;;
364
365  --x)
366    # Obsolete; use --with-x.
367    with_x=yes ;;
368
369  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
370  | --x-incl | --x-inc | --x-in | --x-i)
371    ac_prev=x_includes ;;
372  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
373  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
374    x_includes="$ac_optarg" ;;
375
376  -x-libraries | --x-libraries | --x-librarie | --x-librari \
377  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
378    ac_prev=x_libraries ;;
379  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
380  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
381    x_libraries="$ac_optarg" ;;
382
383  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
384    ;;
385
386  *)
387    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
388      echo "configure: warning: $ac_option: invalid host type" 1>&2
389    fi
390    if test "x$nonopt" != xNONE; then
391      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
392    fi
393    nonopt="$ac_option"
394    ;;
395
396  esac
397done
398
399if test -n "$ac_prev"; then
400  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
401fi
402
403trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
404
405# File descriptor usage:
406# 0 standard input
407# 1 file creation
408# 2 errors and warnings
409# 3 some systems may open it to /dev/tty
410# 4 used on the Kubota Titan
411# 6 checking for... messages and results
412# 5 compiler messages saved in config.log
413if test "$silent" = yes; then
414  exec 6>/dev/null
415else
416  exec 6>&1
417fi
418exec 5>./config.log
419
420echo "\
421This file contains any messages produced by compilers while
422running configure, to aid debugging if configure makes a mistake.
423" 1>&5
424
425# Strip out --no-create and --no-recursion so they do not pile up.
426# Also quote any args containing shell metacharacters.
427ac_configure_args=
428for ac_arg
429do
430  case "$ac_arg" in
431  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
432  | --no-cr | --no-c) ;;
433  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
434  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
435  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
436  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
437  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
438  esac
439done
440
441# NLS nuisances.
442# Only set these to C if already set.  These must not be set unconditionally
443# because not all systems understand e.g. LANG=C (notably SCO).
444# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
445# Non-C LC_CTYPE values break the ctype check.
446if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
447if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
448if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
449if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
450
451# confdefs.h avoids OS command line length limits that DEFS can exceed.
452rm -rf conftest* confdefs.h
453# AIX cpp loses on an empty file, so make sure it contains at least a newline.
454echo > confdefs.h
455
456# A filename unique to this package, relative to the directory that
457# configure is in, which we can look for to find out if srcdir is correct.
458ac_unique_file=MagicCube.h
459
460# Find the source files, if location was not specified.
461if test -z "$srcdir"; then
462  ac_srcdir_defaulted=yes
463  # Try the directory containing this script, then its parent.
464  ac_prog=$0
465  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
466  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
467  srcdir=$ac_confdir
468  if test ! -r $srcdir/$ac_unique_file; then
469    srcdir=..
470  fi
471else
472  ac_srcdir_defaulted=no
473fi
474if test ! -r $srcdir/$ac_unique_file; then
475  if test "$ac_srcdir_defaulted" = yes; then
476    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
477  else
478    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
479  fi
480fi
481srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
482
483# Prefer explicitly selected file to automatically selected ones.
484if test -z "$CONFIG_SITE"; then
485  if test "x$prefix" != xNONE; then
486    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
487  else
488    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
489  fi
490fi
491for ac_site_file in $CONFIG_SITE; do
492  if test -r "$ac_site_file"; then
493    echo "loading site script $ac_site_file"
494    . "$ac_site_file"
495  fi
496done
497
498if test -r "$cache_file"; then
499  echo "loading cache $cache_file"
500  . $cache_file
501else
502  echo "creating cache $cache_file"
503  > $cache_file
504fi
505
506ac_ext=c
507# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
508ac_cpp='$CPP $CPPFLAGS'
509ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
510ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
511cross_compiling=$ac_cv_prog_cc_cross
512
513ac_exeext=
514ac_objext=o
515if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
516  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
517  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
518    ac_n= ac_c='
519' ac_t='	'
520  else
521    ac_n=-n ac_c= ac_t=
522  fi
523else
524  ac_n= ac_c='\c' ac_t=
525fi
526
527
528# From configure.in Revision: 1.9
529
530
531
532
533
534
535
536for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
537do
538# Extract the first word of "$ac_prog", so it can be a program name with args.
539set dummy $ac_prog; ac_word=$2
540echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
541echo "configure:542: checking for $ac_word" >&5
542if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
543  echo $ac_n "(cached) $ac_c" 1>&6
544else
545  if test -n "$CXX"; then
546  ac_cv_prog_CXX="$CXX" # Let the user override the test.
547else
548  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
549  ac_dummy="$PATH"
550  for ac_dir in $ac_dummy; do
551    test -z "$ac_dir" && ac_dir=.
552    if test -f $ac_dir/$ac_word; then
553      ac_cv_prog_CXX="$ac_prog"
554      break
555    fi
556  done
557  IFS="$ac_save_ifs"
558fi
559fi
560CXX="$ac_cv_prog_CXX"
561if test -n "$CXX"; then
562  echo "$ac_t""$CXX" 1>&6
563else
564  echo "$ac_t""no" 1>&6
565fi
566
567test -n "$CXX" && break
568done
569test -n "$CXX" || CXX="gcc"
570
571
572echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
573echo "configure:574: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
574
575ac_ext=C
576# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
577ac_cpp='$CXXCPP $CPPFLAGS'
578ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
579ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
580cross_compiling=$ac_cv_prog_cxx_cross
581
582cat > conftest.$ac_ext << EOF
583
584#line 585 "configure"
585#include "confdefs.h"
586
587int main(){return(0);}
588EOF
589if { (eval echo configure:590: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
590  ac_cv_prog_cxx_works=yes
591  # If we can't run a trivial program, we are probably using a cross compiler.
592  if (./conftest; exit) 2>/dev/null; then
593    ac_cv_prog_cxx_cross=no
594  else
595    ac_cv_prog_cxx_cross=yes
596  fi
597else
598  echo "configure: failed program was:" >&5
599  cat conftest.$ac_ext >&5
600  ac_cv_prog_cxx_works=no
601fi
602rm -fr conftest*
603ac_ext=c
604# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
605ac_cpp='$CPP $CPPFLAGS'
606ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
607ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
608cross_compiling=$ac_cv_prog_cc_cross
609
610echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
611if test $ac_cv_prog_cxx_works = no; then
612  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
613fi
614echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
615echo "configure:616: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
616echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
617cross_compiling=$ac_cv_prog_cxx_cross
618
619echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
620echo "configure:621: checking whether we are using GNU C++" >&5
621if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
622  echo $ac_n "(cached) $ac_c" 1>&6
623else
624  cat > conftest.C <<EOF
625#ifdef __GNUC__
626  yes;
627#endif
628EOF
629if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:630: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
630  ac_cv_prog_gxx=yes
631else
632  ac_cv_prog_gxx=no
633fi
634fi
635
636echo "$ac_t""$ac_cv_prog_gxx" 1>&6
637
638if test $ac_cv_prog_gxx = yes; then
639  GXX=yes
640else
641  GXX=
642fi
643
644ac_test_CXXFLAGS="${CXXFLAGS+set}"
645ac_save_CXXFLAGS="$CXXFLAGS"
646CXXFLAGS=
647echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
648echo "configure:649: checking whether ${CXX-g++} accepts -g" >&5
649if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
650  echo $ac_n "(cached) $ac_c" 1>&6
651else
652  echo 'void f(){}' > conftest.cc
653if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
654  ac_cv_prog_cxx_g=yes
655else
656  ac_cv_prog_cxx_g=no
657fi
658rm -f conftest*
659
660fi
661
662echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
663if test "$ac_test_CXXFLAGS" = set; then
664  CXXFLAGS="$ac_save_CXXFLAGS"
665elif test $ac_cv_prog_cxx_g = yes; then
666  if test "$GXX" = yes; then
667    CXXFLAGS="-g -O2"
668  else
669    CXXFLAGS="-g"
670  fi
671else
672  if test "$GXX" = yes; then
673    CXXFLAGS="-O2"
674  else
675    CXXFLAGS=
676  fi
677fi
678
679# Check whether --enable-debugging or --disable-debugging was given.
680if test "${enable_debugging+set}" = set; then
681  enableval="$enable_debugging"
682  DFLAGS="-g"
683else
684  DFLAGS="-O"
685fi
686
687
688if test "$GXX" = "yes" ; then
689   WFLAGS="$WFLAGS -pedantic -Wall -W -Wunused"
690fi
691echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
692echo "configure:693: checking how to run the C preprocessor" >&5
693# On Suns, sometimes $CPP names a directory.
694if test -n "$CPP" && test -d "$CPP"; then
695  CPP=
696fi
697if test -z "$CPP"; then
698if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
699  echo $ac_n "(cached) $ac_c" 1>&6
700else
701    # This must be in double quotes, not single quotes, because CPP may get
702  # substituted into the Makefile and "${CC-cc}" will confuse make.
703  CPP="${CC-cc} -E"
704  # On the NeXT, cc -E runs the code through the compiler's parser,
705  # not just through cpp.
706  cat > conftest.$ac_ext <<EOF
707#line 708 "configure"
708#include "confdefs.h"
709#include <assert.h>
710Syntax Error
711EOF
712ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
713{ (eval echo configure:714: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
714ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
715if test -z "$ac_err"; then
716  :
717else
718  echo "$ac_err" >&5
719  echo "configure: failed program was:" >&5
720  cat conftest.$ac_ext >&5
721  rm -rf conftest*
722  CPP="${CC-cc} -E -traditional-cpp"
723  cat > conftest.$ac_ext <<EOF
724#line 725 "configure"
725#include "confdefs.h"
726#include <assert.h>
727Syntax Error
728EOF
729ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
730{ (eval echo configure:731: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
731ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
732if test -z "$ac_err"; then
733  :
734else
735  echo "$ac_err" >&5
736  echo "configure: failed program was:" >&5
737  cat conftest.$ac_ext >&5
738  rm -rf conftest*
739  CPP="${CC-cc} -nologo -E"
740  cat > conftest.$ac_ext <<EOF
741#line 742 "configure"
742#include "confdefs.h"
743#include <assert.h>
744Syntax Error
745EOF
746ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
747{ (eval echo configure:748: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
748ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
749if test -z "$ac_err"; then
750  :
751else
752  echo "$ac_err" >&5
753  echo "configure: failed program was:" >&5
754  cat conftest.$ac_ext >&5
755  rm -rf conftest*
756  CPP=/lib/cpp
757fi
758rm -f conftest*
759fi
760rm -f conftest*
761fi
762rm -f conftest*
763  ac_cv_prog_CPP="$CPP"
764fi
765  CPP="$ac_cv_prog_CPP"
766else
767  ac_cv_prog_CPP="$CPP"
768fi
769echo "$ac_t""$CPP" 1>&6
770
771# If we find X, set shell vars x_includes and x_libraries to the
772# paths, otherwise set no_x=yes.
773# Uses ac_ vars as temps to allow command line to override cache and checks.
774# --without-x overrides everything else, but does not touch the cache.
775echo $ac_n "checking for X""... $ac_c" 1>&6
776echo "configure:777: checking for X" >&5
777
778# Check whether --with-x or --without-x was given.
779if test "${with_x+set}" = set; then
780  withval="$with_x"
781  :
782fi
783
784# $have_x is `yes', `no', `disabled', or empty when we do not yet know.
785if test "x$with_x" = xno; then
786  # The user explicitly disabled X.
787  have_x=disabled
788else
789  if test "x$x_includes" != xNONE && test "x$x_libraries" != xNONE; then
790    # Both variables are already set.
791    have_x=yes
792  else
793if eval "test \"`echo '$''{'ac_cv_have_x'+set}'`\" = set"; then
794  echo $ac_n "(cached) $ac_c" 1>&6
795else
796  # One or both of the vars are not set, and there is no cached value.
797ac_x_includes=NO ac_x_libraries=NO
798rm -fr conftestdir
799if mkdir conftestdir; then
800  cd conftestdir
801  # Make sure to not put "make" in the Imakefile rules, since we grep it out.
802  cat > Imakefile <<'EOF'
803acfindx:
804	@echo 'ac_im_incroot="${INCROOT}"; ac_im_usrlibdir="${USRLIBDIR}"; ac_im_libdir="${LIBDIR}"'
805EOF
806  if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
807    # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
808    eval `${MAKE-make} acfindx 2>/dev/null | grep -v make`
809    # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
810    for ac_extension in a so sl; do
811      if test ! -f $ac_im_usrlibdir/libX11.$ac_extension &&
812        test -f $ac_im_libdir/libX11.$ac_extension; then
813        ac_im_usrlibdir=$ac_im_libdir; break
814      fi
815    done
816    # Screen out bogus values from the imake configuration.  They are
817    # bogus both because they are the default anyway, and because
818    # using them would break gcc on systems where it needs fixed includes.
819    case "$ac_im_incroot" in
820	/usr/include) ;;
821	*) test -f "$ac_im_incroot/X11/Xos.h" && ac_x_includes="$ac_im_incroot" ;;
822    esac
823    case "$ac_im_usrlibdir" in
824	/usr/lib | /lib) ;;
825	*) test -d "$ac_im_usrlibdir" && ac_x_libraries="$ac_im_usrlibdir" ;;
826    esac
827  fi
828  cd ..
829  rm -fr conftestdir
830fi
831
832if test "$ac_x_includes" = NO; then
833  # Guess where to find include files, by looking for this one X11 .h file.
834  test -z "$x_direct_test_include" && x_direct_test_include=X11/Intrinsic.h
835
836  # First, try using that file with no special directory specified.
837cat > conftest.$ac_ext <<EOF
838#line 839 "configure"
839#include "confdefs.h"
840#include <$x_direct_test_include>
841EOF
842ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
843{ (eval echo configure:844: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
844ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
845if test -z "$ac_err"; then
846  rm -rf conftest*
847  # We can compile using X headers with no special include directory.
848ac_x_includes=
849else
850  echo "$ac_err" >&5
851  echo "configure: failed program was:" >&5
852  cat conftest.$ac_ext >&5
853  rm -rf conftest*
854  # Look for the header file in a standard set of common directories.
855# Check X11 before X11Rn because it is often a symlink to the current release.
856  for ac_dir in               \
857    /usr/X11/include          \
858    /usr/X11R6/include        \
859    /usr/X11R5/include        \
860    /usr/X11R4/include        \
861                              \
862    /usr/include/X11          \
863    /usr/include/X11R6        \
864    /usr/include/X11R5        \
865    /usr/include/X11R4        \
866                              \
867    /usr/local/X11/include    \
868    /usr/local/X11R6/include  \
869    /usr/local/X11R5/include  \
870    /usr/local/X11R4/include  \
871                              \
872    /usr/local/include/X11    \
873    /usr/local/include/X11R6  \
874    /usr/local/include/X11R5  \
875    /usr/local/include/X11R4  \
876                              \
877    /usr/X386/include         \
878    /usr/x386/include         \
879    /usr/XFree86/include/X11  \
880                              \
881    /usr/include              \
882    /usr/local/include        \
883    /usr/unsupported/include  \
884    /usr/athena/include       \
885    /usr/local/x11r5/include  \
886    /usr/lpp/Xamples/include  \
887                              \
888    /usr/openwin/include      \
889    /usr/openwin/share/include \
890    ; \
891  do
892    if test -r "$ac_dir/$x_direct_test_include"; then
893      ac_x_includes=$ac_dir
894      break
895    fi
896  done
897fi
898rm -f conftest*
899fi # $ac_x_includes = NO
900
901if test "$ac_x_libraries" = NO; then
902  # Check for the libraries.
903
904  test -z "$x_direct_test_library" && x_direct_test_library=Xt
905  test -z "$x_direct_test_function" && x_direct_test_function=XtMalloc
906
907  # See if we find them without any special options.
908  # Don't add to $LIBS permanently.
909  ac_save_LIBS="$LIBS"
910  LIBS="-l$x_direct_test_library $LIBS"
911cat > conftest.$ac_ext <<EOF
912#line 913 "configure"
913#include "confdefs.h"
914
915int main() {
916${x_direct_test_function}()
917; return 0; }
918EOF
919if { (eval echo configure:920: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
920  rm -rf conftest*
921  LIBS="$ac_save_LIBS"
922# We can link X programs with no special library path.
923ac_x_libraries=
924else
925  echo "configure: failed program was:" >&5
926  cat conftest.$ac_ext >&5
927  rm -rf conftest*
928  LIBS="$ac_save_LIBS"
929# First see if replacing the include by lib works.
930# Check X11 before X11Rn because it is often a symlink to the current release.
931for ac_dir in `echo "$ac_x_includes" | sed s/include/lib/` \
932    /usr/X11/lib          \
933    /usr/X11R6/lib        \
934    /usr/X11R5/lib        \
935    /usr/X11R4/lib        \
936                          \
937    /usr/lib/X11          \
938    /usr/lib/X11R6        \
939    /usr/lib/X11R5        \
940    /usr/lib/X11R4        \
941                          \
942    /usr/local/X11/lib    \
943    /usr/local/X11R6/lib  \
944    /usr/local/X11R5/lib  \
945    /usr/local/X11R4/lib  \
946                          \
947    /usr/local/lib/X11    \
948    /usr/local/lib/X11R6  \
949    /usr/local/lib/X11R5  \
950    /usr/local/lib/X11R4  \
951                          \
952    /usr/X386/lib         \
953    /usr/x386/lib         \
954    /usr/XFree86/lib/X11  \
955                          \
956    /usr/lib              \
957    /usr/local/lib        \
958    /usr/unsupported/lib  \
959    /usr/athena/lib       \
960    /usr/local/x11r5/lib  \
961    /usr/lpp/Xamples/lib  \
962    /lib/usr/lib/X11	  \
963                          \
964    /usr/openwin/lib      \
965    /usr/openwin/share/lib \
966    ; \
967do
968  for ac_extension in a so sl; do
969    if test -r $ac_dir/lib${x_direct_test_library}.$ac_extension; then
970      ac_x_libraries=$ac_dir
971      break 2
972    fi
973  done
974done
975fi
976rm -f conftest*
977fi # $ac_x_libraries = NO
978
979if test "$ac_x_includes" = NO || test "$ac_x_libraries" = NO; then
980  # Didn't find X anywhere.  Cache the known absence of X.
981  ac_cv_have_x="have_x=no"
982else
983  # Record where we found X for the cache.
984  ac_cv_have_x="have_x=yes \
985	        ac_x_includes=$ac_x_includes ac_x_libraries=$ac_x_libraries"
986fi
987fi
988  fi
989  eval "$ac_cv_have_x"
990fi # $with_x != no
991
992if test "$have_x" != yes; then
993  echo "$ac_t""$have_x" 1>&6
994  no_x=yes
995else
996  # If each of the values was on the command line, it overrides each guess.
997  test "x$x_includes" = xNONE && x_includes=$ac_x_includes
998  test "x$x_libraries" = xNONE && x_libraries=$ac_x_libraries
999  # Update the cache value to reflect the command line values.
1000  ac_cv_have_x="have_x=yes \
1001		ac_x_includes=$x_includes ac_x_libraries=$x_libraries"
1002  echo "$ac_t""libraries $x_libraries, headers $x_includes" 1>&6
1003fi
1004
1005
1006if test "${x_libraries}" != NONE && test -n "${x_libraries}"; then
1007  XLIBS=-L`echo ${x_libraries} | sed -e "s/:/ -L/g"`
1008fi
1009if test "${x_includes}" != NONE && test -n "${x_includes}"; then
1010  XINCS=-I`echo ${x_includes} | sed -e "s/:/ -I/g"`
1011fi
1012OS=`uname -s | tr A-Z a-z`
1013DOTVERSION=`grep VERSION MagicCube.h | awk -F\" '{print $2}'`
1014VERSION=`echo $DOTVERSION | sed -e 's/\./_/g'`
1015
1016OTHERLIBS=""
1017echo $ac_n "checking for IceAcceptConnection in -lICE""... $ac_c" 1>&6
1018echo "configure:1019: checking for IceAcceptConnection in -lICE" >&5
1019ac_lib_var=`echo ICE'_'IceAcceptConnection | sed 'y%./+-%__p_%'`
1020if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1021  echo $ac_n "(cached) $ac_c" 1>&6
1022else
1023  ac_save_LIBS="$LIBS"
1024LIBS="-lICE ${XLIBS} -lm -lXaw -lXmu -lXt -lXext -lX11 $LIBS"
1025cat > conftest.$ac_ext <<EOF
1026#line 1027 "configure"
1027#include "confdefs.h"
1028/* Override any gcc2 internal prototype to avoid an error.  */
1029/* We use char because int might match the return type of a gcc2
1030    builtin and then its argument prototype would still apply.  */
1031char IceAcceptConnection();
1032
1033int main() {
1034IceAcceptConnection()
1035; return 0; }
1036EOF
1037if { (eval echo configure:1038: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1038  rm -rf conftest*
1039  eval "ac_cv_lib_$ac_lib_var=yes"
1040else
1041  echo "configure: failed program was:" >&5
1042  cat conftest.$ac_ext >&5
1043  rm -rf conftest*
1044  eval "ac_cv_lib_$ac_lib_var=no"
1045fi
1046rm -f conftest*
1047LIBS="$ac_save_LIBS"
1048
1049fi
1050if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1051  echo "$ac_t""yes" 1>&6
1052    ac_tr_lib=HAVE_LIB`echo ICE | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1053    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1054  cat >> confdefs.h <<EOF
1055#define $ac_tr_lib 1
1056EOF
1057
1058  LIBS="-lICE $LIBS"
1059
1060else
1061  echo "$ac_t""no" 1>&6
1062fi
1063
1064echo $ac_n "checking for SmcOpenConnection in -lSM""... $ac_c" 1>&6
1065echo "configure:1066: checking for SmcOpenConnection in -lSM" >&5
1066ac_lib_var=`echo SM'_'SmcOpenConnection | sed 'y%./+-%__p_%'`
1067if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1068  echo $ac_n "(cached) $ac_c" 1>&6
1069else
1070  ac_save_LIBS="$LIBS"
1071LIBS="-lSM ${XLIBS} -lm -lXaw -lXmu -lXt -lXext -lX11 $LIBS"
1072cat > conftest.$ac_ext <<EOF
1073#line 1074 "configure"
1074#include "confdefs.h"
1075/* Override any gcc2 internal prototype to avoid an error.  */
1076/* We use char because int might match the return type of a gcc2
1077    builtin and then its argument prototype would still apply.  */
1078char SmcOpenConnection();
1079
1080int main() {
1081SmcOpenConnection()
1082; return 0; }
1083EOF
1084if { (eval echo configure:1085: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1085  rm -rf conftest*
1086  eval "ac_cv_lib_$ac_lib_var=yes"
1087else
1088  echo "configure: failed program was:" >&5
1089  cat conftest.$ac_ext >&5
1090  rm -rf conftest*
1091  eval "ac_cv_lib_$ac_lib_var=no"
1092fi
1093rm -f conftest*
1094LIBS="$ac_save_LIBS"
1095
1096fi
1097if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1098  echo "$ac_t""yes" 1>&6
1099    ac_tr_lib=HAVE_LIB`echo SM | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1100    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1101  cat >> confdefs.h <<EOF
1102#define $ac_tr_lib 1
1103EOF
1104
1105  LIBS="-lSM $LIBS"
1106
1107else
1108  echo "$ac_t""no" 1>&6
1109fi
1110
1111trap '' 1 2 15
1112cat > confcache <<\EOF
1113# This file is a shell script that caches the results of configure
1114# tests run on this system so they can be shared between configure
1115# scripts and configure runs.  It is not useful on other systems.
1116# If it contains results you don't want to keep, you may remove or edit it.
1117#
1118# By default, configure uses ./config.cache as the cache file,
1119# creating it if it does not exist already.  You can give configure
1120# the --cache-file=FILE option to use a different cache file; that is
1121# what configure does when it calls configure scripts in
1122# subdirectories, so they share the cache.
1123# Giving --cache-file=/dev/null disables caching, for debugging configure.
1124# config.status only pays attention to the cache file if you give it the
1125# --recheck option to rerun configure.
1126#
1127EOF
1128# The following way of writing the cache mishandles newlines in values,
1129# but we know of no workaround that is simple, portable, and efficient.
1130# So, don't put newlines in cache variables' values.
1131# Ultrix sh set writes to stderr and can't be redirected directly,
1132# and sets the high bit in the cache file unless we assign to the vars.
1133(set) 2>&1 |
1134  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1135  *ac_space=\ *)
1136    # `set' does not quote correctly, so add quotes (double-quote substitution
1137    # turns \\\\ into \\, and sed turns \\ into \).
1138    sed -n \
1139      -e "s/'/'\\\\''/g" \
1140      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1141    ;;
1142  *)
1143    # `set' quotes correctly as required by POSIX, so do not add quotes.
1144    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1145    ;;
1146  esac >> confcache
1147if cmp -s $cache_file confcache; then
1148  :
1149else
1150  if test -w $cache_file; then
1151    echo "updating cache $cache_file"
1152    cat confcache > $cache_file
1153  else
1154    echo "not updating unwritable cache $cache_file"
1155  fi
1156fi
1157rm -f confcache
1158
1159trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1160
1161test "x$prefix" = xNONE && prefix=$ac_default_prefix
1162# Let make expand exec_prefix.
1163test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1164
1165# Any assignment to VPATH causes Sun make to only execute
1166# the first set of double-colon rules, so remove it if not needed.
1167# If there is a colon in the path, we need to keep it.
1168if test "x$srcdir" = x.; then
1169  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1170fi
1171
1172trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1173
1174# Transform confdefs.h into DEFS.
1175# Protect against shell expansion while executing Makefile rules.
1176# Protect against Makefile macro expansion.
1177cat > conftest.defs <<\EOF
1178s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1179s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
1180s%\[%\\&%g
1181s%\]%\\&%g
1182s%\$%$$%g
1183EOF
1184DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1185rm -f conftest.defs
1186
1187
1188# Without the "./", some shells look in PATH for config.status.
1189: ${CONFIG_STATUS=./config.status}
1190
1191echo creating $CONFIG_STATUS
1192rm -f $CONFIG_STATUS
1193cat > $CONFIG_STATUS <<EOF
1194#! /bin/sh
1195# Generated automatically by configure.
1196# Run this file to recreate the current configuration.
1197# This directory was configured as follows,
1198# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1199#
1200# $0 $ac_configure_args
1201#
1202# Compiler output produced by configure, useful for debugging
1203# configure, is in ./config.log if it exists.
1204
1205ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1206for ac_option
1207do
1208  case "\$ac_option" in
1209  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1210    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1211    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1212  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1213    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1214    exit 0 ;;
1215  -help | --help | --hel | --he | --h)
1216    echo "\$ac_cs_usage"; exit 0 ;;
1217  *) echo "\$ac_cs_usage"; exit 1 ;;
1218  esac
1219done
1220
1221ac_given_srcdir=$srcdir
1222
1223trap 'rm -fr `echo "Makefile magiccube4d.spec" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1224EOF
1225cat >> $CONFIG_STATUS <<EOF
1226
1227# Protect against being on the right side of a sed subst in config.status.
1228sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1229 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1230$ac_vpsub
1231$extrasub
1232s%@SHELL@%$SHELL%g
1233s%@CFLAGS@%$CFLAGS%g
1234s%@CPPFLAGS@%$CPPFLAGS%g
1235s%@CXXFLAGS@%$CXXFLAGS%g
1236s%@FFLAGS@%$FFLAGS%g
1237s%@DEFS@%$DEFS%g
1238s%@LDFLAGS@%$LDFLAGS%g
1239s%@LIBS@%$LIBS%g
1240s%@exec_prefix@%$exec_prefix%g
1241s%@prefix@%$prefix%g
1242s%@program_transform_name@%$program_transform_name%g
1243s%@bindir@%$bindir%g
1244s%@sbindir@%$sbindir%g
1245s%@libexecdir@%$libexecdir%g
1246s%@datadir@%$datadir%g
1247s%@sysconfdir@%$sysconfdir%g
1248s%@sharedstatedir@%$sharedstatedir%g
1249s%@localstatedir@%$localstatedir%g
1250s%@libdir@%$libdir%g
1251s%@includedir@%$includedir%g
1252s%@oldincludedir@%$oldincludedir%g
1253s%@infodir@%$infodir%g
1254s%@mandir@%$mandir%g
1255s%@WFLAGS@%$WFLAGS%g
1256s%@DFLAGS@%$DFLAGS%g
1257s%@XLIBS@%$XLIBS%g
1258s%@XINCS@%$XINCS%g
1259s%@OS@%$OS%g
1260s%@DOTVERSION@%$DOTVERSION%g
1261s%@VERSION@%$VERSION%g
1262s%@CXX@%$CXX%g
1263s%@CPP@%$CPP%g
1264
1265CEOF
1266EOF
1267
1268cat >> $CONFIG_STATUS <<\EOF
1269
1270# Split the substitutions into bite-sized pieces for seds with
1271# small command number limits, like on Digital OSF/1 and HP-UX.
1272ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1273ac_file=1 # Number of current file.
1274ac_beg=1 # First line for current file.
1275ac_end=$ac_max_sed_cmds # Line after last line for current file.
1276ac_more_lines=:
1277ac_sed_cmds=""
1278while $ac_more_lines; do
1279  if test $ac_beg -gt 1; then
1280    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1281  else
1282    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1283  fi
1284  if test ! -s conftest.s$ac_file; then
1285    ac_more_lines=false
1286    rm -f conftest.s$ac_file
1287  else
1288    if test -z "$ac_sed_cmds"; then
1289      ac_sed_cmds="sed -f conftest.s$ac_file"
1290    else
1291      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1292    fi
1293    ac_file=`expr $ac_file + 1`
1294    ac_beg=$ac_end
1295    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1296  fi
1297done
1298if test -z "$ac_sed_cmds"; then
1299  ac_sed_cmds=cat
1300fi
1301EOF
1302
1303cat >> $CONFIG_STATUS <<EOF
1304
1305CONFIG_FILES=\${CONFIG_FILES-"Makefile magiccube4d.spec"}
1306EOF
1307cat >> $CONFIG_STATUS <<\EOF
1308for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1309  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1310  case "$ac_file" in
1311  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1312       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1313  *) ac_file_in="${ac_file}.in" ;;
1314  esac
1315
1316  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1317
1318  # Remove last slash and all that follows it.  Not all systems have dirname.
1319  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1320  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1321    # The file is in a subdirectory.
1322    test ! -d "$ac_dir" && mkdir "$ac_dir"
1323    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1324    # A "../" for each directory in $ac_dir_suffix.
1325    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1326  else
1327    ac_dir_suffix= ac_dots=
1328  fi
1329
1330  case "$ac_given_srcdir" in
1331  .)  srcdir=.
1332      if test -z "$ac_dots"; then top_srcdir=.
1333      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1334  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1335  *) # Relative path.
1336    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1337    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1338  esac
1339
1340
1341  echo creating "$ac_file"
1342  rm -f "$ac_file"
1343  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1344  case "$ac_file" in
1345  *Makefile*) ac_comsub="1i\\
1346# $configure_input" ;;
1347  *) ac_comsub= ;;
1348  esac
1349
1350  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1351  sed -e "$ac_comsub
1352s%@configure_input@%$configure_input%g
1353s%@srcdir@%$srcdir%g
1354s%@top_srcdir@%$top_srcdir%g
1355" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1356fi; done
1357rm -f conftest.s*
1358
1359EOF
1360cat >> $CONFIG_STATUS <<EOF
1361
1362EOF
1363cat >> $CONFIG_STATUS <<\EOF
1364
1365exit 0
1366EOF
1367chmod +x $CONFIG_STATUS
1368rm -fr confdefs* $ac_clean_files
1369test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1370
1371